unit uIEditorFabricantes;

interface

uses
  uEditorDBBase, uBizFabricantes, uFabricantesController, uGUIBase;

type
  IEditorFabricantes = interface(ICustomEditor)
  ['{BCA44D6E-18A9-4F38-9D52-9A2F6C721DA3}']
    function GetFabricantes: IBizFabricante;
    procedure SetFabricantes(const Value: IBizFabricante);
    property Fabricantes: IBizFabricante read GetFabricantes write SetFabricantes;

    function GetController : IFabricantesController;
    procedure SetController (const Value : IFabricantesController);
    property Controller : IFabricantesController read GetController write SetController;

    function ShowModal : Integer;
    procedure Show;
  end;


implementation

end.
